futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Internalise.Defunctorise

Description

Partially evaluate all modules away from a source Futhark program. This is implemented as a source-to-source transformation.

Synopsis

- transformProg :: MonadFreshNames m => Imports -> m [Dec]

# Documentation

transformProg :: MonadFreshNames m => Imports -> m [Dec] Source #

Perform defunctorisation.